Firefox 4.0.1 incompatibile con Page Speed


Firefox 4 ha introdotto l'aggiornamento automatico. La nuova versione, la 4.0.1, è incompatibile con alcune estensioni, fra cui il Page Speed, fondamentale per i SEO. Come aggirare il problema? Firefox 4 ha introdotto fra le sue caratteristiche l'aggiornamento automatico. In questo modo gli utenti non si devono preoccupare di andare a cercare gli aggiornamenti. Il loro browser preferito, in questo modo, è sempre perennemente aggiornato.

È stato il caso di pochi giorni fa in cui firefox ha rilasciato la versione 4.0.1. Ed è una funzionalità che ho provato live anche io. Stavo testando i tempi di caricamento di un sito tramite Firebug ed il tool di ottimizzazione di Google, Page Speed, ed il browser mi ha avvertito di un aggiornamento. Scaricato in un attimo, mi sono trovato il browser aggiornato all'ultima versione in maniera assolutamente trasparente.

Subito dopo il riavvio del programma, Firefox mi ha avvertito che avrebbe provato a scaricare gli aggiornamenti delle estensioni installate. Fatto tutto senza problemi, a parte il fatto che non ha trovato una versione aggiornata di Page Speed.

Cosa che causa un antipatico problema. La versione di Page Speed che avevo installato su Firefox 4 non è compatibile con Firefox 4.0.1.

Firefox Page Speed
Il Page Speed va a zero su Firefox 4.0.1

Il problema è non indifferente. Page Speed è un tool molto utile per ottimizzare i siti e con l'aggiornamento non lo si può più usare. Come aggirare il problema?

Ho fatto un po' di ricerca ed ho scoperto che da poco è disponibile il Page Speed per Chrome. Che ho provato! È leggermente più limitato di quello di firefox, ci si può lavorare, però mi limita un pochino. Ed anche l'installazione è un pochino laboriosa.

Per superare le limitazioni ho cercato su web una versione precedente di Firefox, ed ho installato la 3.6 che non ha l'autoaggiornamento, su cui ho installato Page Speed completamente funzionante.

Problema risolto, però ho voluto investigare ancora. Ed ho scoperto questa segnalazione sul sito di Page Speed. Qui gli sviluppatori riportano di essere consci del problema, e danno un link di download della versione beta di Page Speed 1.11.2, che permette di usare l'estensione anche su Firefox 4.0.1. L'ho provata ed a questo momento mi sembra perfettamente funzionante. Comunque rimando in attesa della release ufficiale.


Post correlati: